package ru.micord.ervu.account_applications;

import java.util.HashMap;
import java.util.Map;

import property.grid.Formatter;

/**
 * @author ilyin on 06.10.2024.
 */
public class EnumColumnFormatter implements Formatter {

  private static final Map<String, String> strObjectToStringMapping = new HashMap<>();

  static {
    strObjectToStringMapping.put("CREATED", "Новая");
    strObjectToStringMapping.put("AGREED", "Согласована");
    strObjectToStringMapping.put("SENT", "Отправлена");
    strObjectToStringMapping.put("ACCEPTED", "Исполнена");
    strObjectToStringMapping.put("LOGIN_PASSWORD_ISSUED", "Выдана карточка");
    strObjectToStringMapping.put("CANCEL_BY_CREATOR", "Отменена");
    strObjectToStringMapping.put("REJECT_BY_PROCESSOR", "Отклонена");
    strObjectToStringMapping.put("REJECT_BY_AGREEER", "Отклонена");
    strObjectToStringMapping.put("CREATE_USER", "Создание пользователя");
    strObjectToStringMapping.put("EDIT_USER", "Изменение пользователя"); // old not used
    strObjectToStringMapping.put("EDIT_USER_MAIN", "Изменение основных данных пользователя");
    strObjectToStringMapping.put("EDIT_USER_ACCOUNT", "Изменение учетной записи пользователя");
    strObjectToStringMapping.put("EDIT_USER_ROLES", "Изменение ролей пользователя");
    strObjectToStringMapping.put("BLOCK_USER", "Блокировка пользователя");
	  strObjectToStringMapping.put("UNBLOCK_USER", "Разблокировка пользователя");
    strObjectToStringMapping.put("RESET_PASSWORD", "Сброс пароля пользователя");
    strObjectToStringMapping.put("MALE", "Мужской");
    strObjectToStringMapping.put("FEMALE", "Женский");

  }

  @Override
  public String format(final Object object) {
    String strType = String.valueOf(object);
    return strObjectToStringMapping.getOrDefault(strType, "");
  }
}
